from distutils.core import setup
import glob

glades = glob.glob('src/glade/*.glade')
plugins = glob.glob('src/plugins/*.py')
    
setup(name='Pympd',
        version='0.5',
        description='Rhythmbox-like GTK+ client for the Music Player Daemon (MPD).',
        author='',
        author_email='',
        url='http://pympd.sourceforge.de',
        classifiers=[
            'Development Status :: 4 - Beta',
            'Environment :: X11 Applications',
            'Intended Audience :: End Users/Desktop',
            'License :: GNU General Public License (GPL)',
            'Operating System :: Linux',
            'Programming Language :: Python',
            'Topic :: Multimedia :: Sound :: Players',
            ],
        package_dir= {'pympd':'src'},
        packages=['pympd', 'pympd.modules'],
        data_files=[('share/pympd/glade', glades), ('share/pympd/plugins', plugins), ('share/pympd/glade/pixmaps', ['src/glade/pixmaps/icon.png'])],
        
        scripts = ['pympd']
     )
